Subject: bug#13399: 24.3.50; Word-wrap can't wrap at zero-width space U-200B

From: martin rudalics <[email-masked]>
Date: Fri, 11 Jan 2013 19:04:47 +0100

> I cannot promise that, but I will try.  (It is actually a very good
 > exercise for someone who wants to get to know the display engine,
 > hint, hint...)

... a talented, young programmer.  Where do you find them these days?

 >> But I have to calculate the height of the window _before_ redisplay.
 >> And for knowing the height of the window I have to know the number of
 >> displayed lines.
 >
 > Doesn't vertical-motion, pos-visible-in-window-p, and its ilk provide
 > that already?

`fit-window-to-buffer' uses `pos-visible-in-window-p' already, with poor
results here (in particular when drawing boxes around text).  And
`vertical-motion' doesn't pay attention to the height of text.  At least
that was my experience when I tried to rewrite `fit-window-to-buffer'
using `count-screen-lines'.

martin